Subject: RE: [Mipshop] new charter

From: "Singh Ajoy-ASINGH1" <[email-masked]>
Date: Fri, 7 Oct 2005 17:35:19 -0400

Hi Stefano, 

My intention was not to discuss 802.21 issues in MIPSHOP. Rather in my
earlier post I mentioned that MIH requirements should be discussed in
.21 not in IETF. I was just responding to James earlier email.  

Regards,
Ajoy 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, October 07, 2005 4:07 PM
To: Singh Ajoy-ASINGH1; [email-masked];
[email-masked]; [email-masked]
Subject: RE: [Mipshop] new charter

Ajoy, I believe you are bringing up in MIPSHOP a discussion on what
802.21 should or should not do. That discussion belongs to the 802.21
list, not to the MIPSHOP list, since MIPSHOP cannot decide what 802.21
should do and therefore I don't see much merit in discussing it over the
MIPSHOP list. 
Stefano

> -----Original Message-----
> From: ext Singh Ajoy-ASINGH1 [mailto:[email-masked]]
> Sent: Friday, October 07, 2005 16:01
> To: James Kempf; Faccin Stefano (Nokia-NRC/Dallas);
> [email-masked]; [email-masked]
> Subject: RE: [Mipshop] new charter
> 
> 
> Hi James, 
> 
> Please find my inline replies. 
> 
> Regards,
> Ajoy 
> 
> What we need is a solution to 802.21 requirements. 
> 
> Ajoy-> We will know about this as soon as 
> IEEE 802.21 requirements are approved. 
> 
> If you want to see how this is done in another WG, then tune in to
> CAPWAP. 
> They've just completed a protocol competition, in which the 
> WG developed
> 
> requirements (together with 802.11) and then had a protocol evaluation
> team 
> evaluate which of several protocol proposals best met the 
> requirements.
> One 
> of the protocols was selected as the CAPWAP protocol by the evaluation
> team.
> 
> Ajoy-> I have not been following CAPWAP closely enough. I think CAPWAP
> was 
> started because Pat wanted to define a new protocol between AP and AP
> controller. I am not sure if IEEE was involved during the 
> initial stage
> of CAPWAP charter discussion. Also, I guess there no such 
> protocol that
> could have been modified for CAPWAP.   
> 
> A very similar procedure was used to select Diameter as the 
> next-gen AAA
> 
> protocol. In that case, there were several existing protocols proposed
> as 
> candidates, just as in MIPSHOP.
> 
> Ajoy-> Again, I do not see any problem in diameter selection 
> process. I
> would give an example of EAP where 802.11 folks came up with set of
> requirements to modify EAP and the EAP was modified to address 802.11
> requirements. 
> 
> Now, I'm not proposing that MIPSHOP use the same procedure, but just
> because 
> there is an existing protocol doesn't mean the WG has to approve it.
> 
> Ajoy-> Whenever any SDO decides to use IETF solution, they evaluate
> various existing solutions before they decide to approach IETF for new
> protocol definition. They only 
> approach IETF to define new protocol if existing solution 
> cannot be used
> to solve the problem. If the process is not followed then 
> IETF will have
> really hard time to service requests received from various SDOs. This
> will also not be productive for various SDOs. 
> 
> ----- Original Message ----- 
> From: "Singh Ajoy-ASINGH1" <[email-masked]>
> To: "James Kempf" <[email-masked]>;
> <[email-masked]>; 
> <[email-masked]>; <[email-masked]>
> Sent: Friday, October 07, 2005 12:24 PM
> Subject: RE: [Mipshop] new charter
> 
> 
> Hi James,
> 
> No one is telling IETF to rubber stamp any protocol but IETF 
> MUST honor
> its previous work. I also do not believe that every six month 
> we need to
> define new protocol to solve mobility solution. This would confuse
> people and make
> it difficult to deploy IETF solution.
> 
> Regards,
> Ajoy
> 
> 
> 
> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Friday, October 07, 2005 1:52 PM
> To: Singh Ajoy-ASINGH1; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [Mipshop] new charter
> 
> It seems to me that if 802.21 wants IETF to work on a protocol, it
> should
> bring in the requirements then have the discussion in the MIPSHOP WG
> what
> the appropriate protocol is. On the other hand, if 802.21 wants to do
> the
> protocol itself, then it can do the design itself and IETF 
> doesn't need
> to
> be involved.
> 
> I think what I would not find acceptable is for 802.21 to come to IETF
> and
> say "this nonstandards track protocol must be made into a standards
> track
> protocol without any changes". IETF typically doesn't rubber stamp the
> decisions of other SDOs.
> 
> All this would be much easier if we had a liason letter from 802.21
> explaining exactly what it wanted.
> 
>             jak
> 
> ----- Original Message ----- 
> From: "Singh Ajoy-ASINGH1" <[email-masked]>
> To: "James Kempf" <[email-masked]>;
> <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> Sent: Friday, October 07, 2005 11:16 AM
> Subject: RE: [Mipshop] new charter
> 
> 
> James,
> 
> Of course requirements MUST be discussed at technical level. Also, no
> one is telling that 802.21 MUST use existing IETF protocol.  We will
> have to evaluate why existing IETF protocol is not enough or cannot be
> modified
> solve the problem. This would avoid duplication and save our time.
> 
> Regards,
> Ajoy
> 
> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Friday, October 07, 2005 1:03 PM
> To: Singh Ajoy-ASINGH1; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [Mipshop] new charter
> 
> I agree that having 802.21 define requirements and bring them 
> to IETF is
> the
> right procedure. But let's keep the requirements at a technical level.
> Requirements such as "must use an existing IETF document" are
> inappropriate.
> 
>             jak
> 
> ----- Original Message ----- 
> From: "Singh Ajoy-ASINGH1" <[email-masked]>
> To: <[email-masked]>; <[email-masked]>;
> <[email-masked]>
> Sent: Friday, October 07, 2005 9:59 AM
> Subject: RE: [Mipshop] new charter
> 
> 
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, October 07, 2005 11:39 AM
> To: Singh Ajoy-ASINGH1; [email-masked];
> [email-masked]
> Subject: RE: [Mipshop] new charter
> 
> Ajoy,
> 
> > It is very much possible that 802.21
> > will come
> > to IETF with a request to make enhancement to existing protocol or
> > define new protocol. But I guess it may be too early to make that
> > decision.
> 
> Sure, definitely. However, the proposed charter does not preclude this
> at all, actually it makes it possible for IETf to do the work 
> needed for
> 802.21.
> 
> At the same time we may have some interested parties that may also
> propose requirements in MIPSHOP on such solutions, and I 
> don't think we
> should preclude that.
> 
> Ajoy-> I would request interested party to work with 802.21 to define
> requirements. IMHO, defining requirements at two different places will
> create more confusion.
> 
> Stefano
> 
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
> 
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop